#ifndef __ASM_MSR_H
#define __ASM_MSR_H

/*
 * Access the cycle-accurate time-stamp-counter.
 *
 * Note: The rdtscll operation modifies the parameter directly (without using
 * pointer indirection); this allows gcc to optimize better.
 *
 * Taken from linux/asm-i386/msr.h
 */

/* val should be a 'long long' (64 bit integer). */
#define rdtscll(val) \
     __asm__ __volatile__ ("rdtsc" : "=A" (val))

#endif /* __ASM_MSR_H */
